<?php

/**
 * The home manager controller for thumb2x.
 *
 */
class thumb2xHomeManagerController extends modExtraManagerController
{
    /** @var thumb2x $thumb2x */
    public $thumb2x;


    /**
     *
     */
    public function initialize()
    {
        $this->thumb2x = $this->modx->getService('thumb2x', 'thumb2x', MODX_CORE_PATH . 'components/thumb2x/model/');
        parent::initialize();
    }


    /**
     * @return array
     */
    public function getLanguageTopics()
    {
        return ['thumb2x:default'];
    }


    /**
     * @return bool
     */
    public function checkPermissions()
    {
        return true;
    }


    /**
     * @return null|string
     */
    public function getPageTitle()
    {
        return $this->modx->lexicon('thumb2x');
    }


    /**
     * @return void
     */
    public function loadCustomCssJs()
    {
    

        $this->addCss($this->thumb2x->config['cssUrl'] . 'mgr/main.css');
        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/thumb2x.js');
        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/misc/utils.js');
        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/misc/combo.js');

        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/tab1/items.grid.js');

        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/sections/home.panel.js');
        $this->addJavascript($this->thumb2x->config['jsUrl'] . 'mgr/sections/home.js');

        $this->addHtml('<script type="text/javascript">
        thumb2x.config = ' . json_encode($this->thumb2x->config) . ';
        thumb2x.config.connector_url = "' . $this->thumb2x->config['connectorUrl'] . '";
        Ext.onReady(function() {MODx.load({ xtype: "thumb2x-page-home"});});
        </script>');

    }


    /**
     * @return string
     */
    public function getTemplateFile()
    {
        $this->content .= '<div id="thumb2x-panel-home-div"></div>';

        return '';
    }
}