<?php

class Thumb2x
{
    /** @var modX $modx */
    public $modx;
    /** @var array $config */
    public $config = [];

    /**
     * @param modX $modx
     * @param array $config
     */
    function __construct(modX &$modx, array $config = [])
    {
        $this->modx =& $modx;
        $corePath = MODX_CORE_PATH . 'components/thumb2x/';
        $assetsUrl = MODX_ASSETS_URL . 'components/thumb2x/';

        $this->config = array_merge([
            'corePath' => $corePath,
            'modelPath' => $corePath . 'model/',
            'processorsPath' => $corePath . 'processors/',
            'connectorUrl' => $assetsUrl . 'connector.php',
            'assetsUrl' => $assetsUrl,
            'cssUrl' => $assetsUrl . 'css/',
            'jsUrl' => $assetsUrl . 'js/',
        ], $config);

        $this->modx->addPackage('thumb2x', $this->config['modelPath']);
        $this->modx->lexicon->load('thumb2x:default');
    }
}