<?php

class Thumb2xItemGetListProcessor extends modObjectGetListProcessor
{
    public $objectType = 'Thumb2xFile';
    public $classKey = 'Thumb2xFile';
    public $defaultSortField = 'id';
    public $defaultSortDirection = 'DESC';
    public $languageTopics = ['thumb2x:default'];
    
    public function beforeQuery()
    {
        if (!$this->checkPermissions()) {
            return $this->modx->lexicon('access_denied');
        }
        return true;
    }

    public function prepareQueryBeforeCount(xPDOQuery $c)
    {

        $query = trim($this->getProperty('query'));

        if (!empty($query)) {

            $c->where([
                'source_path:LIKE' => "%{$query}%",
                'OR:cache_path:LIKE' => "%{$query}%",
            ]);
        }


        return $c;
    }

    public function prepareRow(xPDOObject $object)
    {
        $array = $object->toArray();

                $array['actions'][] = [
            'cls' => '',
            'icon' => 'icon icon-trash-o action-red',
            'title' => $this->modx->lexicon('thumb2x_item_remove'),
            'multiple' => $this->modx->lexicon('thumb2x_items_remove'),
            'action' => 'removeItem',
            'button' => true,
            'menu' => true,
        ];

        return $array;
    }
}

return 'Thumb2xItemGetListProcessor';
